## ucar.netcdf
Class NetcdfServer.Entry

    java.lang.Object
      ucar.netcdf.NetcdfServer.Entry

Enclosing class:
  NetcdfServer

class NetcdfServer.Entry
extends Object

Field Summary
`(package private) File` `dirent`
`(package private) NetcdfFile` `nc`
`(package private) int` `refcount`

Constructor Summary
`(package private)` `NetcdfServer.Entry(File ff)`

Method Summary
`(package private) NetcdfFile` `getNetcdfFile()` Return entry.nc, opening if necessary.
`(package private) String` `keyValue()`
`(package private) void` `releaseNetcdfFile()` Decrement the reference count and close if no more references.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dirent

    final File dirent

### nc

    NetcdfFile nc

### refcount

    int refcount

Constructor Detail

### NetcdfServer.Entry

    NetcdfServer.Entry(File ff)

Method Detail

### keyValue

    String keyValue()

### getNetcdfFile

    NetcdfFile getNetcdfFile()
                       throws IOException

  Return entry.nc, opening if necessary. Increments reference count.

  Throws:
    `IOException`

### releaseNetcdfFile

    void releaseNetcdfFile()

  Decrement the reference count and close if no more references.